# Go API client for swagger

**This API is in BETA release.**  Global lightning archive, updated in real time. The Weather Source Lightning API provides the most accurate and reliable global lightning data available. All matching lightning events within 12 km (7 miles) of a provided location (and within the provided time range) are returned. The global lightning archive is available from the years 2021 and onward.  **IMPORTANT:** To authenticate to the Weather Source Lightning API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

## Overview
This API client was generated by the [swagger-codegen](https://github.com/swagger-api/swagger-codegen) project.  By using the [swagger-spec](https://github.com/swagger-api/swagger-spec) from a remote server, you can easily generate an API client.

- API version: 2.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.go.GoClientCodegen
For more information, please visit [https://developer.weathersourceapis.com/](https://developer.weathersourceapis.com/)

## Installation
Put the package under your project folder and add the following in import:
```golang
import "./swagger"
```

## Documentation for API Endpoints

All URIs are relative to *https://lightning.weathersourceapis.com/v2*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*OnpointsApi* | [**OnpointsOnpointIdPeriodTimestampStarttimestampEndGet**](docs/OnpointsApi.md#onpointsonpointidperiodtimestampstarttimestampendget) | **Get** /onpoints/{onpointId}/period/{timestampStart},{timestampEnd} | Lightning data proximate to an OnPoint™ point.
*PointsApi* | [**PointsLatitudelongitudePeriodTimestampStarttimestampEndGet**](docs/PointsApi.md#pointslatitudelongitudeperiodtimestampstarttimestampendget) | **Get** /points/{latitude},{longitude}/period/{timestampStart},{timestampEnd} | Lightning data proximate to a Latitude/Longitude point.

## Documentation For Models

 - [BoundingPointsInner](docs/BoundingPointsInner.md)
 - [ErrorObj](docs/ErrorObj.md)
 - [FieldListObj](docs/FieldListObj.md)
 - [Grid](docs/Grid.md)
 - [LightningObj](docs/LightningObj.md)
 - [LightningOnpointObj](docs/LightningOnpointObj.md)
 - [LightningPointObj](docs/LightningPointObj.md)
 - [OnpointObj](docs/OnpointObj.md)
 - [PointObj](docs/PointObj.md)

## Documentation For Authorization

## ApiKeyAuth
- **Type**: API key 

Example
```golang
auth := context.WithValue(context.Background(), sw.ContextAPIKey, sw.APIKey{
	Key: "APIKEY",
	Prefix: "Bearer", // Omit if not necessary.
})
r, err := client.Service.Operation(auth, args)
```

## Author

support@weathersource.com
