# {{classname}}

All URIs are relative to *https://lightning.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**PointsLatitudelongitudePeriodTimestampStarttimestampEndGet**](PointsApi.md#PointsLatitudelongitudePeriodTimestampStarttimestampEndGet) | **Get** /points/{latitude},{longitude}/period/{timestampStart},{timestampEnd} | Lightning data proximate to a Latitude/Longitude point.

# **PointsLatitudelongitudePeriodTimestampStarttimestampEndGet**
> LightningPointObj PointsLatitudelongitudePeriodTimestampStarttimestampEndGet(ctx, latitude, longitude, timestampStart, timestampEnd, fields, optional)
Lightning data proximate to a Latitude/Longitude point.

Returns all lightning events that are both within 12 km (7 miles) of a provided Latitude/Longitude point and within the provided time range. The temporal range provided must not exceed 1 year in duration.  **IMPORTANT:** To authenticate to the Weather Source App Weather API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **latitude** | **float32**| A latitude value between -90° and 90°. | 
  **longitude** | **float32**| A longitude value between -180° (West) and 180° (East). | 
  **timestampStart** | **time.Time**| A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required. | 
  **timestampEnd** | **time.Time**| A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required. | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  | 
 **optional** | ***PointsApiPointsLatitudelongitudePeriodTimestampStarttimestampEndGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a PointsApiPointsLatitudelongitudePeriodTimestampStarttimestampEndGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------





 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]
 **limit** | **optional.Int32**| Limit the number of matching events returned. Returned events are ordered by distance from the provided location. Applying a limit will return the nearest events. A value of 0 means no limit.  | [default to 0]

### Return type

[**LightningPointObj**](lightningPointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

