/*
 * Lightning - A Weather Source API
 *
 * **This API is in BETA release.**  Global lightning archive, updated in real time. The Weather Source Lightning API provides the most accurate and reliable global lightning data available. All matching lightning events within 12 km (7 miles) of a provided location (and within the provided time range) are returned. The global lightning archive is available from the years 2021 and onward.  **IMPORTANT:** To authenticate to the Weather Source Lightning API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * API version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

// Metadata object for a postcode
type PointObj struct {
	Latitude float32 `json:"latitude"`
	Longitude float32 `json:"longitude"`
	Timezone string `json:"timezone"`
	CountryCode string `json:"countryCode,omitempty"`
	CountryName string `json:"countryName,omitempty"`
	SubdivCode string `json:"subdivCode,omitempty"`
	SubdivName string `json:"subdivName,omitempty"`
	BoundingPoints *[]BoundingPointsInner `json:"boundingPoints"`
	Grid *Grid `json:"grid"`
	Elevation float32 `json:"elevation"`
}
